import { ReadonlySignal } from '@preact/signals-core';
import { DefaultPropertiesProperties } from '@react-three/uikit';
import { themes } from './themes.js';
import { Color } from 'three';
import React from 'react';
export declare const baseBorderRadius: import("@preact/signals-core").Signal<number>;
export declare const borderRadius: {
    lg: import("@preact/signals-core").Signal<number>;
    md: ReadonlySignal<number>;
    sm: ReadonlySignal<number>;
};
export declare const themeName: import("@preact/signals-core").Signal<"zinc" | "slate" | "stone" | "gray" | "neutral" | "red" | "rose" | "orange" | "green" | "blue" | "yellow" | "violet">;
export declare const colors: { -readonly [Key in keyof (typeof themes)["slate"]["light"]]: ReadonlySignal<Color>; };
export declare function Defaults(props: DefaultPropertiesProperties): React.JSX.Element;
